Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.sessions
Class XATopicSessionImpl

    java.lang.Object
      net.sf.dropboxmq.sessions.XASessionImpl
          net.sf.dropboxmq.sessions.XATopicSessionImpl

All Implemented Interfaces:
  Runnable, Session, XASession, XATopicSession

    public class XATopicSessionImpl

extends XASessionImpl
implements XATopicSession

Created: 30 Jul 2006

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz

Field Summary

Fields inherited from interface javax.jms.Session
`AUTO_ACKNOWLEDGE, CLIENT_ACKNOWLEDGE, DUPS_OK_ACKNOWLEDGE, SESSION_TRANSACTED`

Constructor Summary
`XATopicSessionImpl(DropboxTransaction dropboxTransaction, ConnectionImpl connection, Configuration configuration)`

Method Summary
`QueueBrowser` | `createBrowser(Queue queue)` Creates a `QueueBrowser` object to peek at the messages on the specified queue.
`QueueBrowser` | `createBrowser(Queue queue, String messageSelector)` Creates a `QueueBrowser` object to peek at the messages on the specified queue using a message selector.
`Queue` | `createQueue(String queueName)` Creates a queue identity given a `Queue` name.
`TemporaryQueue` | `createTemporaryQueue()` Creates a `TemporaryQueue` object.
`TopicSession` | `getTopicSession()` Gets the topic session associated with this `XATopicSession`.

Methods inherited from class net.sf.dropboxmq.sessions.XASessionImpl
`close, commit, createBytesMessage, createConsumer, createConsumer, createConsumer, createDurableSubscriber, createDurableSubscriber, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createStreamMessage, createTemporaryTopic, createTextMessage, createTextMessage, createTopic, getAcknowledgeMode, getMessageListener, getNonXASession, getSession, getTransacted, getXAResource, recover, rollback, run, setMessageListener, toObjectString, toString, unsubscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.XASession
`commit, getSession, getTransacted, getXAResource, rollback`

Methods inherited from interface javax.jms.Session
`close, createBytesMessage, createConsumer, createConsumer, createConsumer, createDurableSubscriber, createDurableSubscriber, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createStreamMessage, createTemporaryTopic, createTextMessage, createTextMessage, createTopic, getAcknowledgeMode, getMessageListener, recover, run, setMessageListener, unsubscribe`

Constructor Detail

### XATopicSessionImpl

    public XATopicSessionImpl(DropboxTransaction dropboxTransaction,
                              ConnectionImpl connection,
                              Configuration configuration)

Method Detail

### createQueue

    public Queue createQueue(String queueName)
                      throws JMSException

  Description copied from interface: `javax.jms.Session`
  Creates a queue identity given a `Queue` name.

  This facility is provided for the rare cases where clients need to dynamically manipulate queue identity. It allows the creation of a queue identity with a provider-specific name. Clients that depend on this ability are not portable.

  Note that this method is not for creating the physical queue. The physical creation of queues is an administrative task and is not to be initiated by the JMS API. The one exception is the creation of temporary queues, which is accomplished with the `createTemporaryQueue` method.

  Specified by:
    `createQueue` in interface `Session`
  Overrides:
    `createQueue` in class `XASessionImpl`
  Parameters:
    `queueName` - the name of this `Queue`
  Returns:
    a `Queue` with the given name
  Throws:
    `JMSException` - if the session fails to create a queue due to some internal error.

### createBrowser

    public QueueBrowser createBrowser(Queue queue)
                               throws JMSException

  Description copied from interface: `javax.jms.Session`
  Creates a `QueueBrowser` object to peek at the messages on the specified queue.

  Specified by:
    `createBrowser` in interface `Session`
  Overrides:
    `createBrowser` in class `XASessionImpl`
  Parameters:
    `queue` - the `queue` to access
  Throws:
    `JMSException` - if the session fails to create a browser due to some internal error.

### createBrowser

    public QueueBrowser createBrowser(Queue queue,
                                      String messageSelector)
                               throws JMSException

  Description copied from interface: `javax.jms.Session`
  Creates a `QueueBrowser` object to peek at the messages on the specified queue using a message selector.

  Specified by:
    `createBrowser` in interface `Session`
  Overrides:
    `createBrowser` in class `XASessionImpl`
  Parameters:
    `queue` - the `queue` to access
    `messageSelector` - only messages with properties matching the message selector expression are delivered. A value of null or an empty string indicates that there is no message selector for the message consumer.
  Throws:
    `JMSException` - if the session fails to create a browser due to some internal error.
    `InvalidSelectorException` - if the message selector is invalid.

### createTemporaryQueue

    public TemporaryQueue createTemporaryQueue()
                                        throws JMSException

  Description copied from interface: `javax.jms.Session`
  Creates a `TemporaryQueue` object. Its lifetime will be that of the `Connection` unless it is deleted earlier.

  Specified by:
    `createTemporaryQueue` in interface `Session`
  Overrides:
    `createTemporaryQueue` in class `XASessionImpl`
  Returns:
    a temporary queue identity
  Throws:
    `JMSException` - if the session fails to create a temporary queue due to some internal error.

### getTopicSession

    public TopicSession getTopicSession()
                                 throws JMSException

  Description copied from interface: `javax.jms.XATopicSession`
  Gets the topic session associated with this `XATopicSession`.

  Specified by:
    `getTopicSession` in interface `XATopicSession`
  Returns:
    the topic session object
  Throws:
    `JMSException` - if an internal error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD